# Les conditions

Les conditions permettent d'ajouter ou de supprimer des propriétés à une [variable](../variable/README.md), une [famille](../family/README.md), un [fichier](../service/file.md), un [port](../service/port.md) ou une [ip](../service/ip.md) suivant le contexte.

Nous allons nous concentrer ici sur la condition hidden_if_in, mais [il existe d'autre conditions](conditions.md).

La condition hidden_if_in permet de cacher une variable où une famille à l'utilisateur, mais cette variable est toujours accessible dans un calcul, un vérification ou dans un template.

```
<variables>
    <variable name="condition" type="boolean"/>
    <variable name="my_variable"/>
</variables>

<constraints>
    <condition name="hidden_if_in" source="condition">
        <param>True</param>
        <target>my_variable</target>
    </condition>
</constraints>
```

Le [paramètres](../param/README.md) de la condition permet de définir les valeurs que doit avoir la source pour appliquer l'action.

La [cible](../target/README.md) de la condition est ici "my_variable".

Donc ici la variable est caché à l'utilisateur si la variable "condition" est à True (le paramètre).

Il est également possible de mettre plusieurs paramètre :

```
<variables>
    <variable name="condition"/>
    <variable name="my_variable"/>
</variables>

<constraints>
    <condition name="hidden_if_in" source="condition">
        <param>yes</param>
        <param>maybe</param>
        <target>my_variable</target>
    </condition>
</constraints>
```

FIXME
<!ELEMENT condition ((target|param)+)>
<!ATTLIST condition fallback (True|False) "False">
<!ATTLIST condition force_condition_on_fallback (True|False) "False">
<!ATTLIST condition force_inverse_condition_on_fallback (True|False) "False">
